# Class SpeciesFormChangeManualTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeManualTrigger

- Defined in src/data/pokemon-forms.ts:178

#####
Index

### Constructors

constructor

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeManualTrigger(): SpeciesFormChangeManualTrigger

- #### Returns SpeciesFormChangeManualTrigger

  Inherited from SpeciesFormChangeTrigger.constructor

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:179

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:173